unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, XPMan;

type
  TForm1 = class(TForm)
    VertBar: TScrollBar;
    HorzBar: TScrollBar;
    Panel1: TPanel;
    Image1: TImage;
    XPManifest1: TXPManifest;
    procedure FormCreate(Sender: TObject);
    procedure VertBarChange(Sender: TObject);
    procedure HorzBarChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.HorzBarChange(Sender: TObject);
begin
  Image1.Left := -HorzBar.Position;
end;

procedure TForm1.VertBarChange(Sender: TObject);
begin
  Image1.Top := -VertBar.Position;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  ImagePath: string;
begin
  ImagePath := ExtractFilePath(Application.ExeName) + 'image.bmp';
  Image1.Picture.LoadFromFile(ImagePath);

  {    }
  VertBar.Max := Image1.Height - Panel1.Height;
  HorzBar.Max := Image1.Height;
end;

end.
